TokenControllerUpdateAssociatedTokenDataType Method |
PUT /Token/AttributeToken/{id}
Updates an attribute tokens data type.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("AttributeToken")]
public IActionResult UpdateAssociatedTokenDataType(
Guid id,
[FromBodyAttribute] CompatibleDataTypes dataType,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("AttributeToken")>
Public Function UpdateAssociatedTokenDataType (
id As Guid,
<FromBodyAttribute> dataType As CompatibleDataTypes,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"AttributeToken")]
IActionResult^ UpdateAssociatedTokenDataType(
Guid id,
[FromBodyAttribute] CompatibleDataTypes dataType,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("AttributeToken")>]
member UpdateAssociatedTokenDataType :
id : Guid *
[<FromBodyAttribute>] dataType : CompatibleDataTypes *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the token to update. - dataType
- Type: Dundas.BI.Data.ParametersCompatibleDataTypes
The new data type value for the attribute token. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A status code indicating success or failure.
If successful, the data type of the new token.
See Also